package com.hainaos.vc.base.mvp;

import android.os.Bundle;

import androidx.annotation.CallSuper;
import androidx.annotation.Nullable;

import com.hainaos.vc.base.BaseTransparentActivity;

@Deprecated
public abstract class BaseActivity extends BaseTransparentActivity {

    public BaseActivity() {
        super();
    }

    @Override
    @CallSuper
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(getLayoutId());
        initView();
        initData();
    }

    /**
     * 初始化视图
     */
    protected abstract void initView();

    /**
     * 初始化数据
     */
    protected abstract void initData();
}